#{$all-buttons},
.button {
  appearance: none;
  background-color: color(kathde-purple);
  border: 0;
  border-radius: $base-border-radius;
  color: color(white);
  cursor: pointer;
  display: inline-block;
  font-family: $font-copy;
  font-size: 1rem;
  -webkit-font-smoothing: antialiased;
  font-weight: bold;
  line-height: 1;
  padding: $small-spacing $base-spacing;
  text-decoration: none;
  transition: background-color $base-duration $base-timing;
  user-select: none;
  vertical-align: middle;
  white-space: nowrap;

  &:hover,
  &:focus {
    background-color: shade(color(action), 20%);
    color: color(white);
  }

  &:disabled {
    cursor: not-allowed;
    opacity: 0.5;

    &:hover {
      background-color: color(action);
    }
  }
}
